import matplotlib.pyplot as plt
import numpy as np


def simple_plot():
    x = np.arange(-50, 50)

    fig = plt.figure(facecolor=(0, 0, 1, .1))

    plt.plot(x, x**2)
    plt.show()
    # plt.savefig('plot.jpg')


# simple_plot()


def simple_subplot():
    x = np.arange(-50, 50)

    fig, ax = plt.subplots()
    fig.set(facecolor=(0, 0, 1, .1))

    ax.plot(x, x**2)
    ax.set(title='Simple Plot', xlabel='X-Axis', ylabel='Y-Axis')
    plt.show()


simple_subplot()


def subplots():
    x = np.arange(-5, 5, 0.1)

    fig, ax = plt.subplots(ncols=2)

    ax[0].plot(x, np.sin(x))
    ax[0].set(title='sin')

    ax[1].plot(x, np.cos(x))
    ax[1].set(title='cos')

    plt.show()


# subplots()
